package com.weavi.util;

import com.weavi.entity.Users;

import java.util.List;

public class ResponseDTO<Users> {
    private Boolean success;
    private Integer total;
    private List<Users> rows;

    public ResponseDTO(Boolean success,Integer total,List<Users> rows){
        this.success = success;
        this.total = total;
        this.rows = rows;
    }

    public Boolean isSuccess() {
        return true;
    }

    public void setSuccess(Boolean success) {
        this.success = success;
    }

    public Integer getTotal() {
        return total;
    }

    public void setTotal(Integer total) {
        this.total = total;
    }

    public List<Users> getRows() {
        return rows;
    }

    public void setRows(List<Users> rows) {
        this.rows = rows;
    }
}
